using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Itrycn_Project2
{
    /// <summary>
    /// 配置类,保存在文件中的配置信息(本系统基于乘黄V2架构)
    /// </summary>
    public static class Public_Config
    {
        /// <summary>
        /// 在点击主窗口关闭按钮时,隐藏窗体(只有开启了托盘图标,本功能才能生效,此时需要通过托盘图标进行关闭)。
        /// </summary>
        public static bool HideByCloseBtn = false;
        public static void LoadSetting()
        {
            ryCommon.Storage Stor = new ryCommon.Storage();
            Stor.LoadFromFile(Soft_ConstInfo.UserDataFolder+"\\Setting.dat");
            Stor.SelectNodeBySet();
            HideByCloseBtn = Stor.GetAttrValue("HideByCloseBtn", false);
            //low_count = Stor.GetAttrValue("LowCount", 10);
        }
    }
}
